Skip to main content
`Ctrl`+`K`

# SNESGetMaxNonlinearStepFailures

Gets the maximum number of unsuccessful steps attempted by the nonlinear solver before it gives up and returns unconverged or generates an error

## Synopsis

    #include "petscsnes.h"
    #include "petscsnes.h"
    PetscErrorCode SNESGetMaxNonlinearStepFailures(SNES snes, PetscInt *maxFails)

Not Collective

## Input Parameter

- snes - `SNES` context

## Output Parameter

- maxFails - maximum of unsuccessful steps

## See Also

SNES: Nonlinear Solvers, `SNESSetErrorIfNotConverged()`, `SNESGetMaxLinearSolveFailures()`, `SNESGetLinearSolveIterations()`, `SNESSetMaxLinearSolveFailures()`, `SNESGetLinearSolveFailures()`, `SNESSetMaxNonlinearStepFailures()`, `SNESGetNonlinearStepFailures()`

## Level

intermediate

## Location

src/snes/interface/snes.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages